Processing Data:

  Analysis Packages:
    - Name: Dioptas
      Description: "A Python-based program for data processing and exploration of two-dimensional X-ray diffraction area detector data.
      Used for creating a .poni calibration file for Continuous-Peak-Fit." 
      Links: ["http://www.clemensprescher.com/programs/dioptas", "https://dioptas.readthedocs.io/en/stable/", "https://github.com/Dioptas/Dioptas"]
      Version: "Version 0.5.2, on Windows 10 Enterprise OS"
    - Name: sxrd-tiff-summer
      Description: "A Python notebook for summing synchrotron diffraction pattern images, using the scikit-image package.
      Used for selecting, summing together and averaging the intensity distribution from a series of synchrotron diffraction pattern images from entire sample matrices.
      Produced a single diffraction pattern image from each sample, as a measure of the bulk crystallographic texture." 
      Links: ["https://github.com/LightForm-group/sxrd-tiff-summer"]
      Version: "Pre-released version from GitHub, Main branch, commit hash 62e85b4"
    - Name: Continuous-Peak-Fit
      Description: "A Python package for fitting azimuthal and time dependency of lattice plane diffraction peaks with Fourier Series descriptions.
      Used for fitting the intensity distribution of alpha and beta phase lattice plane rings from diffraction pattern images."
      Links: ["https://pypi.org/project/continuous-peak-fit/", "https://github.com/ExperimentalMineralPhysics/Continuous-Peak-Fit"]
      Version: "Pre-released version from GitHub, Splines branch, commit hash 31a459d"
    - Name: Continuous-Peak-Fit-Analysis
      Description: "A Python package for fitting full synchrotron diffraction pattern rings to analyse texture (intensity) and elastic lattice strain (position) changes. 
      Uses the Continuous-Peak-Fit Python package for fitting peaks with Fourier Series descriptions.
      Used for setting up Continuous-Peak-Fit and analysing the resulting fit files.
      Notebook contains an algorithm for writing out lattice plane peak intensity to text files in spherical polar coordinates. 
      The text files can then be used to load and refine the crystallographic texture using MTEX and MATLAB."
      Links: ["https://github.com/LightForm-group/continuous-peak-fit-analysis"]
      Version: "Pre-released version from GitHub, Main branch, commit hash b995c06"

  Items:
    - Item Name: Dioptas calibration
      File Path: "calibration-dioptas/"
      july/: Calibration from LaB6 powder calibrant for samples analysed in July 2022
      august/: Calibration from CeO2 powder calibrant for samples analysed in August 2022
      .cbf: Diffraction pattern image from powder calibrant
      .poni: Calibrated beam and detector parameters using Dioptas
      .mask: Mask for dead pixels and detector gaps
    - Item Name: Intensity map
      File Path: "texture-studies/{experiment_number}/intensity_maps/"
      AVG_intensity_map.png: Map of average intensity from each diffraction pattern across entire sample matrix
      MAX_intensity_map.png: Map of maximum intensity from each diffraction pattern across entire sample matrix
      start-end_points_map.png: Map of start and end points used to distinguish individual samples from matrix
    - Item Name: Summed tiff image
      File Path: "texture-studies/{experiment_number}/sample_{sample_number}/"
      .tiff: Tiff image for individual samples calculated from an average of the series of diffraction pattern images using sxrd-tiff-summer
      .txt: List of images used to calculate averaged diffraction pattern
    - Item Name: Continuous-Peak-Fit output
      File Path: "texture-studies/{experiment_number}/sample_{sample_number}/"
      INPUT.py: A python script containing the file paths, peak labels and peak bounds for running Continuous-Peak-Fit analysis 
      .sav: Output parameters for the first peak fit in a series
      PreviousFit_JSON.dat: Copy of the previous fit parameters, used for subsequent fitting in a series
      .json: Fourier coefficients recording a model fit to the lattice plane rings
      .png: Images of the first intensity distribution fit in the series, showing the model and data, for different lattice plane peaks 
      .fit: Fit files containing the model values for peak position, intensity and half-width, at 1 degree azimuthal points, for different lattice plane rings
    - Item Name: Raw intensities
      File Path: "texture-studies/{experiment_number}/sample_{sample_number}/{experiment_number}-raw-intensities/"
      .txt: Text file recording model intensity variation in spherical polar coordinates (polar and azimuthal angle), for different lattice plane reflections
    - Item Name: Combined intensities Continuous-Peak-Fit
      File Path: "texture-studies/combined-intensities-MTEX/"
      112748+112750+114287-combined-raw-intensities/: Text files recording model intensity variation with combined intensities from 3x different sample orientations for 30x different rolled samples
      112749-combined-raw-intensities/: Text files recording model intensity variation with combined intensities from 3x different sample orientations for 1x rolled sample
    - Item Name: Analysis configuration files
      File Path: "analysis-config-files/"
      Description: Associated configuration files for analysing the data with different analysis packages
